package com.bipt.intelligentapplicationorchestrationservice.mapper;

import com.bipt.intelligentapplicationorchestrationservice.entity.dto.GpuCreateDTO;
import com.bipt.intelligentapplicationorchestrationservice.entity.dto.GpuResponseDTO;
import com.bipt.intelligentapplicationorchestrationservice.entity.dto.GpuUpdateDTO;
import com.bipt.intelligentapplicationorchestrationservice.entity.entity.GpuResource;
import org.mapstruct.Mapper;
import org.mapstruct.MappingConstants;

@Mapper(componentModel = MappingConstants.ComponentModel.SPRING)
public interface GpuMapper {
    GpuResource toEntity(GpuCreateDTO dto);
    GpuResource toEntity(GpuUpdateDTO dto);
    GpuResource toEntity(GpuResponseDTO dto);
    GpuResponseDTO toDTO(GpuResource entity);
}
